%define pppver 2.4.7

Summary:	ADSL/PPPoE userspace driver
Name:		rp-pppoe
Version:	3.11
Release:	5
License:	GPLv2+
Group:		System/Servers
Url:		http://www.roaringpenguin.com/pppoe
Source0:	http://www.roaringpenguin.com/files/download/%{name}-%{version}.tar.gz
BuildRequires:	autoconf2.5
BuildRequires:	ppp-devel = %{pppver}
Requires:	ppp >= 2.4.1

%description
PPPoE (Point-to-Point Protocol over Ethernet) is a protocol used by
many ADSL Internet Service Providers. Roaring Penguin has a free
client for Linux systems to connect to PPPoE service providers.

The client is a user-mode program and does not require any kernel
modifications. It is fully compliant with RFC 2516, the official PPPoE
specification.

It has been tested with many ISPs, such as the Canadian Sympatico HSE (High
Speed Edition) service.

%files
%doc doc/* README SERVPOET
%config(noreplace) %{_sysconfdir}/ppp/pppoe.conf
%config(noreplace) %{_sysconfdir}/ppp/pppoe-server-options
%config(noreplace) %{_sysconfdir}/ppp/firewall-masq
%config(noreplace) %{_sysconfdir}/ppp/firewall-standalone
%{_sbindir}/pppoe
%{_sbindir}/pppoe-connect
%{_sbindir}/pppoe-relay
%{_sbindir}/pppoe-server
%{_sbindir}/pppoe-setup
%{_sbindir}/pppoe-sniff
%{_sbindir}/pppoe-start
%{_sbindir}/pppoe-status
%{_sbindir}/pppoe-stop
%{_sbindir}/adsl-connect
%{_sbindir}/adsl-setup
%{_sbindir}/adsl-start
%{_sbindir}/adsl-status
%{_sbindir}/adsl-stop
%{_mandir}/man[58]/*
%config(noreplace)%{_initrddir}/pppoe

#----------------------------------------------------------------------------

%package gui
Summary:	GUI front-end for rp-pppoe
Group:		System/Servers
Requires:	rp-pppoe >= 3.6
Requires:	tk

%description gui
This package contains the graphical frontend (tk-based) for rp-pppoe.

Install this if you wish to have a graphical frontend for pppoe.

%files gui
%{_bindir}/tkpppoe
%{_sbindir}/pppoe-wrapper
%{_mandir}/man1/*
%{_datadir}/applications/*
%dir %{_datadir}/tkpppoe
%dir %{_sysconfdir}/ppp/rp-pppoe-gui
%{_datadir}/tkpppoe/*

#----------------------------------------------------------------------------

%package plugin
Summary:	PPP over ethernet kernel-mode plugin
Group:		System/Servers
Requires:	%{name} = %{EVRD}
Conflicts:	ppp-pppoe

%description plugin
PPP over ethernet kernel-mode plugin.

%files plugin
%doc doc/KERNEL-MODE-PPPOE

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%serverbuild
cd src
./configure \
	--docdir=%{_docdir}/%{name} \
	--enable-plugin=%{_includedir} \
	--docdir=%{_docdir}/%{name}

%make

%install
pushd src
%makeinstall_std
popd

pushd gui
%makeinstall_std
popd

# This is necessary for the gui to work, but it shouldn't be done here !
mkdir -p %{buildroot}%{_sysconfdir}/ppp/rp-pppoe-gui

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/rp-pppoe-gui.desktop <<EOF
[Desktop Entry]
Name=TkPPPoE
Comment=Frontend for rp-pppoe
Exec=%{_bindir}/tkpppoe
Icon=remote_access_section
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Internet-RemoteAccess;Network;RemoteAccess;Dialup;
EOF

perl -pi -e "s/restart/restart\|reload/g;" %{buildroot}%{_initrddir}/pppoe
rm -rf %{buildroot}/usr/share/doc

mkdir -p %{buildroot}%{_libdir}/pppd/%{pppver}
rm -f %{buildroot}%{_sysconfdir}/ppp/plugins/README

# backward compatibility links
for i in connect start stop setup status; do
	ln -sf %{_sbindir}/pppoe-$i %{buildroot}%{_sbindir}/adsl-$i
	ln -sf pppoe-$i.8 %{buildroot}%{_mandir}/man8/adsl-$i.8
done


%changelog
* Mon Sep 01 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3.11-5
+ Revision: 82bb82f
- Adjust BuildRequires, spec cleanup


